package com.bjsxt.plane;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.IOException;
import java.net.URL;

/**
 * 测试工具类
 */
public class GameUtils {
    //构造器私有，防止别人创建本类的对象
    private GameUtils(){

    }
    public static Image getImage(String path){
        BufferedImage img = null;
        URL u = GameUtils.class.getClassLoader().getResource(path);
        try {
            img = ImageIO.read(u);
        } catch (IOException e) {
            e.printStackTrace();
        }
        return img;
    }

    public static void main(String[] args) {
        Image img = GameUtils.getImage("images/bg.jpg");
        System.out.println(img);
    }
}
